import { TekTreeGrid } from '@zeedhi/teknisa-components-common';
import { Button, Form, SelectMultiple, Text } from '@zeedhi/common';

export type Instances = TekTreeGrid | Form | SelectMultiple | Text | Button;

export interface Row {
  CDFILIALGRID: string,
  NMFILIAL: string,
  CDFILIAL: string,
  FILIAL: string,
  NMLOJA: string,
  NMOPERADOR: string,
  DTHRBLOQUEIO: string,
  NRDIASEMANABLOQ: string,
  PARENTID: string,
  LABELNRDIASEMANA: string,
  BLOCK: any,
  tree__children: [],
  tree__level: number,
};

export interface InstanceResult {
  select: SelectMultiple;
  selectWeek: SelectMultiple;
  button: Button;
  textCdFilial: Text;
  block: Text;
};

export interface ParamsBlockStore {
  CDFILIAL: string | string[],
  CDLOJA: string[],
  CDOPERADOR: string | null,
  NRDIASEMANABLOQ: string[] | string,
  BLOCK: any,
}

export interface ValuesSelectStore {
  NMLOJA: string,
  CDFILIALGRID: string,
}

export interface SelectMultiplesStore {
  CDFILIAL: string | string[],
  CDLOJA: string | string[],
  NRDIASEMANABLOQ: string | string[],
}